## org.bn.compiler.parser.model
Class CharDef

    java.lang.Object
      org.bn.compiler.parser.model.CharDef

    public class CharDef

extends java.lang.Object

Field Summary
`java.lang.String` `cStr`
`AsnDefinedValue` `defval`
`boolean` `isCString`
`boolean` `isQuadruple`
`boolean` `isTuple`
`java.util.ArrayList` `tupleQuad`

Constructor Summary
`CharDef()`

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### cStr

    public java.lang.String cStr

### defval

    public AsnDefinedValue defval

### isCString

    public boolean isCString

### isQuadruple

    public boolean isQuadruple

### isTuple

    public boolean isTuple

### tupleQuad

    public java.util.ArrayList tupleQuad

Constructor Detail

### CharDef

    public CharDef()

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`